> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apifycloud.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Engagement Report

> Get engagement report grouped by template

## Endpoint

`GET https://api.apifycloud.io/api/v1/analytics/{appId}/reports/engagement`

## Authentication

Bearer token required.

Scope: `analytics:read`

## Query parameters

* `startDate` (string, optional, ISO datetime)
* `endDate` (string, optional, ISO datetime)

## Response

```json theme={null}
{
  "data": [
    {
      "template_name": "hsm_odontologia_v0",
      "campaign_count": 4,
      "total_sent": 2000,
      "total_read": 1300,
      "read_rate_avg": 72.22
    }
  ],
  "meta": {
    "timestamp": "2026-02-18T00:00:00.000Z"
  }
}
```

## Errors

* `403 forbidden` unauthorized for app or missing scope
* `400 validation_error` invalid query parameters
* `429 rate_limit_exceeded`
* `500 server_error`
